##\
# This file is a part of the CIDRAM package.
# Homepage: https://cidram.github.io/
#
# CIDRAM COPYRIGHT 2016 and beyond by Caleb Mazalevskis (Maikuolan).
#
# License: GNU/GPLv2
# @see LICENSE.txt
#
# This file: English language data for the front-end (last modified: 2020.10.09).
##/

Extended Description Bypasses: "The default signature bypass files normally included with the main package."
Extended Description Chart.js: "Enables the front-end to generate pie charts.<br /><a href="https://github.com/chartjs/Chart.js" hreflang="en" rel="noopener noreferrer external">Chart.js</a> is available via the <a href="https://opensource.org/licenses/MIT" hreflang="en-US" rel="noopener noreferrer external">MIT license</a>."
Extended Description IPv4-Bogons: "Blocks bogon/martian CIDRs."
Extended Description IPv4-ISPs: "Blocks dangerous and spammy ISPs."
Extended Description IPv4-Other: "Blocks CIDRs for proxies, VPNs, and other miscellaneous unwanted services."
Extended Description IPv4: "Blocks unwanted cloud services and non-human endpoints."
Extended Description IPv6-Bogons: "Blocks bogon/martian CIDRs."
Extended Description IPv6-ISPs: "Blocks dangerous and spammy ISPs."
Extended Description IPv6-Other: "Blocks CIDRs for proxies, VPNs, and other miscellaneous unwanted services."
Extended Description IPv6: "Blocks unwanted cloud services and non-human endpoints."
Extended Description PHPMailer: "Required for using any functionality that involves sending email.<br /><a href="https://github.com/PHPMailer/PHPMailer" hreflang="en" rel="noopener noreferrer external">PHPMailer</a> is available via the <a href="https://github.com/PHPMailer/PHPMailer/blob/master/LICENSE" hreflang="en-US" rel="noopener external">LGPLv2.1</a> license."
Extended Description flags.css: "Adds flag support to the front-end logs page."
Extended Description module_abuseipdb.php: "Blocks requests from IPs listed at AbuseIPDB."
Extended Description module_badhosts.php: "Blocks hosts frequently used by spammers, hackers, and other nefarious entities."
Extended Description module_badhosts_isps.php: "Blocks hosts belonging to ISPs frequently used by spammers, hackers, and other nefarious entities."
Extended Description module_badtlds.php: "Blocks hosts belonging to TLDs frequently used by spammers, hackers, and other nefarious entities."
Extended Description module_bgpview.php: "Leverages the <a href="https://bgpview.io/" hreflang="en" rel="noopener noreferrer external">bgpview.io</a> API to provide an ASN and country code lookup facility for CIDRAM, enabling ASNs and countries to be blocked or whitelisted via the CIDRAM configuration, and providing a means for social networking verification to verify Facebook requests."
Extended Description module_botua.php: "Blocks user agents associated with unwanted bots and nefarious activity."
Extended Description module_cookies.php: "Provides some limited protections against dangerous cookies."
Extended Description module_extras.php: "Provides some limited protections against various attack vectors commonly used in requests."
Extended Description module_projecthoneypot.php: "Blocks requests from IPs listed at Project Honeypot."
Extended Description module_refspam.php: "Blocking based on referrer spam won't generally provide any meaningful security benefit, but in some cases, could be useful for some users, for gathering more information about requests, and for being able to report it.<br />Installing this module also installs the Symfony polyfills for <a href="https://github.com/symfony/polyfill-intl-idn" hreflang="en" rel="noopener noreferrer external">Intl/Idn</a> and <a href="https://github.com/symfony/polyfill-mbstring" hreflang="en" rel="noopener noreferrer external">Mbstring</a> (because this module requires Idn functionality, which not all PHP installations provide by default), both which are available via the <a href="https://opensource.org/licenses/MIT" hreflang="en-US" rel="noopener noreferrer external">MIT license</a>."
Extended Description module_sfs.php: "Protects registration and login pages against IPs listed by SFS."
Name Bypasses: "Default signature bypasses."
Name CN_cidram.inc: "China IPv4 blocklist"
Name IPv4-Bogons: "IPv4 (bogons)."
Name IPv4-ISPs: "IPv4 (spammy ISPs)."
Name IPv4-Other: "IPv4 (proxies, VPNs, etc)."
Name IPv4: "IPv4 (cloud and hosting services)."
Name IPv6-Bogons: "IPv6 (bogons)."
Name IPv6-ISPs: "IPv6 (spammy ISPs)."
Name IPv6-Other: "IPv6 (proxies, VPNs, etc)."
Name IPv6: "IPv6 (cloud and hosting services)."
Name KR_cidram.inc: "South Korea IPv4 blocklist"
Name compat_bunnycdn.php: "BunnyCDN compatibility module"
Name module_abuseipdb.php: "AbuseIPDB module"
Name module_badhosts.php: "Bad hosts blocker module"
Name module_badhosts_isps.php: "Bad hosts blocker module (ISPs)"
Name module_badtlds.php: "Bad TLDs blocker module"
Name module_baidublocker.php: "Baidu blocker module"
Name module_bgpview.php: "BGPView module"
Name module_botua.php: "Optional user agents module"
Name module_cookies.php: "Optional cookie scanner module"
Name module_extras.php: "Optional security extras module"
Name module_projecthoneypot.php: "Project Honeypot module"
Name module_refspam.php: "Referrer spam module"
Name module_sfs.php: "Stop Forum Spam module"
Name module_yandexblocker.php: "Yandex blocker module"
config_PHPMailer: "Configuration for PHPMailer (used for two-factor authentication)."
config_PHPMailer_add_reply_to_address: "The reply address to cite when sending email via SMTP."
config_PHPMailer_add_reply_to_name: "The reply name to cite when sending email via SMTP."
config_PHPMailer_enable_two_factor: "This directive determines whether to use 2FA for front-end accounts."
config_PHPMailer_event_log: "A file for logging all events in relation to PHPMailer. Specify a filename, or leave blank to disable."
config_PHPMailer_host: "The SMTP host to use for outbound email."
config_PHPMailer_password: "The password to use when sending email via SMTP."
config_PHPMailer_port: "The port number to use for outbound email. Default = 587."
config_PHPMailer_set_from_address: "The sender address to cite when sending email via SMTP."
config_PHPMailer_set_from_name: "The sender name to cite when sending email via SMTP."
config_PHPMailer_skip_auth_process: "Setting this directive to <code>true</code> instructs PHPMailer to skip the normal authentication process that normally occurs when sending email via SMTP. This should be avoided, because skipping this process may expose outbound email to MITM attacks, but may be necessary in cases where this process prevents PHPMailer from connecting to an SMTP server."
config_PHPMailer_smtp_auth: "This directive determines whether to authenticate SMTP sessions (should usually be left alone)."
config_PHPMailer_smtp_secure: "The protocol to use when sending email via SMTP (TLS or SSL)."
config_PHPMailer_username: "The username to use when sending email via SMTP."
config_experimental: "Unstable/Experimental!"
config_general: "General configuration (any core configuration not belonging to other categories)."
config_general_allow_gethostbyaddr_lookup: "Allow gethostbyaddr lookups when UDP is unavailable? True = Yes [Default]; False = No."
config_general_ban_override: "Override "forbid_on_block" when "infraction_limit" is exceeded? When overriding: Blocked requests return a blank page (template files aren't used). 200 = Don't override [Default]. Other values are the same as the available values for "forbid_on_block"."
config_general_default_algo: "Defines which algorithm to use for all future passwords and sessions. Options: PASSWORD_DEFAULT (default), PASSWORD_BCRYPT, PASSWORD_ARGON2I (requires PHP &gt;= 7.2.0), PASSWORD_ARGON2ID (requires PHP &gt;= 7.3.0)."
config_general_default_dns: "A comma delimited list of DNS servers to use for hostname lookups. Default = "8.8.8.8,8.8.4.4" (Google DNS). WARNING: Don't change this unless you know what you're doing!"
config_general_disable_frontend: "Disable front-end access? Front-end access can make CIDRAM more manageable, but can also be a potential security risk, too. It's recommended to manage CIDRAM via the back-end whenever possible, but front-end access is provided for when it isn't possible. Keep it disabled unless you need it. False = Enable front-end access; True = Disable front-end access [Default]."
config_general_disable_webfonts: "Disable webfonts? True = Yes [Default]; False = No."
config_general_disabled_channels: "This can be used to prevent CIDRAM from using particular channels when sending requests (e.g., when updating, when fetching component metadata, etc)."
config_general_emailaddr: "If you wish, you can supply an email address here to be given to users when they're blocked, for them to use as a point of contact for support and/or assistance for in the event of them being blocked mistakenly or in error. WARNING: Whatever email address you supply here will most certainly be acquired by spambots and scrapers during the course of its being used here, and so, it's strongly recommended that if you choose to supply an email address here, that you ensure that the email address you supply here is a disposable address and/or an address that you don't mind being spammed (in other words, you probably don't want to use your primary personal or primary business email addresses)."
config_general_emailaddr_display_style: "How would you prefer the email address to be presented to users?"
config_general_empty_fields: "How should CIDRAM handle empty fields when logging and displaying block event information? "include" = Include empty fields. "omit" = Omit empty fields [default]."
config_general_error_log: "A file for logging any non-fatal errors detected. Specify a filename, or leave blank to disable."
config_general_error_log_stages: "A list of the stages in the execution chain that should have any generated errors logged."
config_general_forbid_on_block: "Which HTTP status message should CIDRAM send when blocking requests? (Refer to the documentation for more information)."
config_general_force_hostname_lookup: "Force hostname lookups? True = Yes; False = No [Default]. Hostname lookups are normally performed on an "as needed" basis, but can be forced for all requests. Doing so may be useful as a means of providing more detailed information in the logfiles, but may also have a slightly negative effect on performance."
config_general_frontend_log: "File for logging front-end login attempts. Specify a filename, or leave blank to disable."
config_general_hide_version: "Hide version information from logs and page output? True = Yes; False = No [Default]."
config_general_ipaddr: "Where to find the IP address of connecting requests? (Useful for services such as Cloudflare and the likes). Default = REMOTE_ADDR. WARNING: Don't change this unless you know what you're doing!"
config_general_lang: "Specify the default language for CIDRAM."
config_general_lang_override: "Localise according to HTTP_ACCEPT_LANGUAGE whenever possible? True = Yes [Default]; False = No."
config_general_log_banned_ips: "Include blocked requests from banned IPs in the logfiles? True = Yes [Default]; False = No."
config_general_log_rotation_action: "Log rotation limits the number of logfiles that should exist at any one time. When new logfiles are created, if the total number of logfiles exceeds the specified limit, the specified action will be performed. You can specify the desired action here. Delete = Delete the oldest logfiles, until the limit is no longer exceeded. Archive = Firstly archive, and then delete the oldest logfiles, until the limit is no longer exceeded."
config_general_log_rotation_limit: "Log rotation limits the number of logfiles that should exist at any one time. When new logfiles are created, if the total number of logfiles exceeds the specified limit, the specified action will be performed. You can specify the desired limit here. A value of 0 will disable log rotation."
config_general_log_sanitisation: "When using the front-end logs page to view log data, CIDRAM sanitises the log data before displaying it, to protect users from XSS attacks and other potential threats that log data could contain. However, by default, data isn't sanitised during logging. This is to ensure that log data is preserved accurately, to aid any heuristic or forensic analysis that might be necessary in the future. However, in the event that a user attempts to read log data using external tools, and if those external tools don't perform their own sanitisation process, the user could be exposed to XSS attacks. If necessary, you can change the default behaviour using this configuration directive. True = Sanitise data when logging it (data is preserved less accurately, but XSS risk is lower). False = Don't sanitise data when logging it (data is preserved more accurately, but XSS risk is higher) [Default]."
config_general_logfile: "Human readable file for logging all blocked access attempts. Specify a filename, or leave blank to disable."
config_general_logfile_apache: "Apache-style file for logging all blocked access attempts. Specify a filename, or leave blank to disable."
config_general_logfile_serialized: "Serialised file for logging all blocked access attempts. Specify a filename, or leave blank to disable."
config_general_maintenance_mode: "Enable maintenance mode? True = Yes; False = No [Default]. Disables everything other than the front-end. Sometimes useful for when updating your CMS, frameworks, etc."
config_general_max_login_attempts: "Maximum number of front-end login attempts. Default = 5."
config_general_numbers: "How do you prefer numbers to be displayed? Select the example that looks the most correct to you."
config_general_protect_frontend: "Specifies whether the protections normally provided by CIDRAM should be applied to the front-end. True = Yes [Default]; False = No."
config_general_search_engine_verification: "Attempt to verify requests from search engines? Verifying search engines ensures that they won't be banned as a result of exceeding the infraction limit (banning search engines from your website will usually have a negative effect upon your search engine ranking, SEO, etc). When verified, search engines can be blocked as per normal, but won't be banned. When not verified, it's possible for them to be banned as a result of exceeding the infraction limit. Additionally, search engine verification provides protection against fake search engine requests and against potentially malicious entities masquerading as search engines (such requests will be blocked when search engine verification is enabled). True = Enable search engine verification [Default]; False = Disable search engine verification."
config_general_silent_mode: "Should CIDRAM silently redirect blocked access attempts instead of displaying the "Access Denied" page? If yes, specify the location to redirect blocked access attempts to. If no, leave this variable blank."
config_general_social_media_verification: "Attempt to verify social media requests? Social media verification provides protection against fake social media requests (such requests will be blocked). True = Enable social media verification [Default]; False = Disable social media verification."
config_general_statistics: "Track CIDRAM usage statistics? True = Yes; False = No [Default]."
config_general_time_format: "The date/time notation format used by CIDRAM. Additional options may be added upon request."
config_general_time_offset: "Timezone offset in minutes."
config_general_timezone: "This is used to specify the timezone to use (e.g., Africa/Cairo, America/New_York, Asia/Tokyo, Australia/Perth, Europe/Berlin, Pacific/Guam, etc). Specify "SYSTEM" to let PHP handle this for you automatically."
config_general_truncate: "Truncate logfiles when they reach a certain size? Value is the maximum size in B/KB/MB/GB/TB that a logfile may grow to before being truncated. The default value of 0KB disables truncation (logfiles can grow indefinitely). Note: Applies to individual logfiles! The size of logfiles is not considered collectively."
config_legal: "Configuration for legal requirements."
config_legal_omit_hostname: "Omit hostnames from logs? True = Yes; False = No [Default]."
config_legal_omit_ip: "Omit IP addresses from logs? True = Yes; False = No [Default]. Note: "pseudonymise_ip_addresses" becomes redundant when "omit_ip" is "true"."
config_legal_omit_ua: "Omit user agents from logs? True = Yes; False = No [Default]."
config_legal_privacy_policy: "The address of a relevant privacy policy to be displayed in the footer of any generated pages. Specify a URL, or leave blank to disable."
config_legal_pseudonymise_ip_addresses: "Pseudonymise IP addresses when logging? True = Yes [Default]; False = No."
config_rate_limiting: "Configuration for rate limiting (not recommended for general use)."
config_rate_limiting_allowance_period: "The number of hours to track usage. Default = 0."
config_rate_limiting_exceptions: "Exceptions (i.e., requests which shouldn't be rate limited). Relevant only when rate limiting is enabled."
config_rate_limiting_max_bandwidth: "The maximum amount of bandwidth allowed within the allowance period before rate limiting future requests. A value of 0 disables this type of rate limiting. Default = 0KB."
config_rate_limiting_max_requests: "The maximum number of requests allowed within the allowance period before rate limiting future requests. A value of 0 disables this type of rate limiting. Default = 0."
config_rate_limiting_precision_ipv4: "The precision to use for tracking IPv4 usage. Value mirrors CIDR block size. Set to 32 for best precision. Default = 32."
config_rate_limiting_precision_ipv6: "The precision to use for tracking IPv6 usage. Value mirrors CIDR block size. Set to 128 for best precision. Default = 128."
config_recaptcha: "Configuration for reCAPTCHA (provides a way for humans to regain access when blocked)."
config_recaptcha_api: "Which API to use? V2 or Invisible?"
config_recaptcha_expiry: "Number of hours to remember reCAPTCHA instances."
config_recaptcha_lockip: "Lock reCAPTCHA to IPs?"
config_recaptcha_lockuser: "Lock reCAPTCHA to users?"
config_recaptcha_logfile: "Log all reCAPTCHA attempts? If yes, specify the name to use for the logfile. If no, leave this variable blank."
config_recaptcha_secret: "This value should correspond to the "secret key" for your reCAPTCHA, which can be found within the reCAPTCHA dashboard."
config_recaptcha_show_cookie_warning: "Show cookie warning? True = Yes [Default]; False = No."
config_recaptcha_signature_limit: "Maximum number of signatures allowed to be triggered when a reCAPTCHA instance is to be offered. Default = 1. If this number is exceeded for any particular request, a reCAPTCHA instance won't be offered."
config_recaptcha_sitekey: "This value should correspond to the "site key" for your reCAPTCHA, which can be found within the reCAPTCHA dashboard."
config_recaptcha_usemode: "Defines how CIDRAM should use reCAPTCHA (see documentation)."
config_signatures: "Configuration for signatures, signature files, modules, etc."
config_signatures_block_bogons: "Block bogon/martian CIDRs? If you expect connections to your website from within your local network, from localhost, or from your LAN, this directive should be set to false. If you don't expect these such connections, this directive should be set to true."
config_signatures_block_cloud: "Block CIDRs identified as belonging to webhosting/cloud services? If you operate an API service from your website or if you expect other websites to connect to your website, this should be set to false. If you don't, then, this directive should be set to true."
config_signatures_block_generic: "Block CIDRs generally recommended for blacklisting? This covers any signatures that aren't marked as being part of any of the other more specific signature categories."
config_signatures_block_legal: "Block CIDRs in response to legal obligations? This directive shouldn't normally have any effect, because CIDRAM doesn't associate any CIDRs with "legal obligations" by default, but it exists nonetheless as an additional control measure for the benefit of any custom signature files or modules that might exist for legal reasons."
config_signatures_block_malware: "Block IPs associated with malware? This includes C&C servers, infected machines, machines involved in malware distribution, etc."
config_signatures_block_proxies: "Block CIDRs identified as belonging to proxy services or VPNs? If you require that users be able to access your website from proxy services and VPNs, this directive should be set to false. Otherwise, if you don't require proxy services or VPNs, this directive should be set to true as a means of improving security."
config_signatures_block_spam: "Block CIDRs identified as being high-risk for spam? Unless you experience problems when doing so, generally, this should always be set to true."
config_signatures_default_tracktime: "How many seconds to track IPs banned by modules. Default = 604800 (1 week)."
config_signatures_infraction_limit: "Maximum number of infractions an IP is allowed to incur before it is banned by IP tracking. Default = 10."
config_signatures_ipv4: "A list of the IPv4 signature files that CIDRAM should attempt to parse, delimited by commas."
config_signatures_ipv6: "A list of the IPv6 signature files that CIDRAM should attempt to parse, delimited by commas."
config_signatures_modules: "A list of module files to load after checking the IPv4/IPv6 signatures, delimited by commas."
config_signatures_track_mode: "When should infractions be counted? False = When IPs are blocked by modules. True = When IPs are blocked for any reason. Default = False."
config_supplementary_cache_options: "Supplementary cache options."
config_supplementary_cache_options_enable_apcu: "Specifies whether to try using APCu for caching. Default = False."
config_supplementary_cache_options_enable_memcached: "Specifies whether to try using Memcached for caching. Default = False."
config_supplementary_cache_options_enable_pdo: "Specifies whether to try using PDO for caching. Default = False."
config_supplementary_cache_options_enable_redis: "Specifies whether to try using Redis for caching. Default = False."
config_supplementary_cache_options_memcached_host: "Memcached host value. Default = "localhost"."
config_supplementary_cache_options_memcached_port: "Memcached port value. Default = "11211"."
config_supplementary_cache_options_pdo_dsn: "PDO DSN value. Default = "mysql:dbname=cidram;host=localhost;port=3306"."
config_supplementary_cache_options_pdo_password: "PDO password."
config_supplementary_cache_options_pdo_username: "PDO username."
config_supplementary_cache_options_redis_host: "Redis host value. Default = "localhost"."
config_supplementary_cache_options_redis_port: "Redis port value. Default = "6379"."
config_supplementary_cache_options_redis_timeout: "Redis timeout value. Default = "2.5"."
config_template_data: "Configuration for templates and themes."
config_template_data_css_url: "CSS file URL for custom themes."
config_template_data_magnification: "Font magnification. Default = 1."
config_template_data_theme: "Default theme to use for CIDRAM."
confirm_action: "Are you sure you want to "%s"?"
field_2fa: "2FA code"
field_Request_Method: "Request method"
field_activate: "Activate"
field_add_more_conditions: "Add more conditions"
field_add_webhook: "Add webhook"
field_asnlookup: "ASN lookup"
field_banned: "Banned"
field_blocked: "Blocked"
field_cclookup: "Country code lookup"
field_cidr: "Generate output as CIDRs"
field_clear: "Clear"
field_clear_all: "Clear all"
field_clickable_link: "Clickable link"
field_component: "Component"
field_confirm: "Confirm"
field_create_new_account: "Create new account"
field_deactivate: "Deactivate"
field_delete: "Delete"
field_delete_account: "Delete account"
field_download_file: "Download"
field_execution_order: "Execution order:"
field_edit_file: "Edit"
field_expiry: "Expiry"
field_false: "False"
field_file: "File"
field_filename: "Filename: "
field_filetype_directory: "Directory"
field_filetype_info: "{EXT} File"
field_filetype_unknown: "Unknown"
field_include: "Include empty fields"
field_infractions: "Infractions"
field_install: "Install"
field_ip_address: "IP Address"
field_latest_version: "Latest Version"
field_log_in: "Log In"
field_netmask: "Generate output as netmasks"
field_new_name: "New name:"
field_nonclickable_text: "Non-clickable text"
field_ok: "OK"
field_omit: "Omit empty fields"
field_options: "Options"
field_password: "Password"
field_permissions: "Permissions"
field_preferred_direct_input: "Direct input"
field_preferred_list: "Currently active signature files"
field_preserve: "Preserve tags and comments"
field_range: "Range (First – Last)"
field_reasonmessage: "Why Blocked (detailed)"
field_rename_file: "Rename"
field_repair: "Repair"
field_repair_all: "Repair all"
field_reset: "Reset"
field_set_new_password: "Set new password"
field_size: "Total Size: "
field_size_GB: "GB"
field_size_KB: "KB"
field_size_MB: "MB"
field_size_TB: "TB"
field_size_bytes:
 - "byte"
 - "bytes"
field_status: "Status"
field_system_timezone: "Use system default timezone."
field_tracking: "Tracking"
field_true: "True"
field_ualc: "User Agent (lower-case)"
field_uninstall: "Uninstall"
field_update: "Update"
field_update_all: "Update all"
field_update_signatures_files: "Update signature files"
field_upload_file: "Upload new file"
field_username: "Username"
field_verified: "Verified identity"
field_verified_requests: "Verified search engine and social media requests"
field_verify: "Verify"
field_verify_all: "Verify all"
field_whitelisted_requests: "Whitelisted requests"
field_your_version: "Your Version"
header_login: "Please log in to continue."
label_active_config_file: "Active configuration file: "
label_actual: "Actual"
label_aux_actBlk: "block"
label_aux_actByp: "bypass"
label_aux_actGrl: "greylist"
label_aux_actLog: "don't log"
label_aux_actRdr: "redirect (without blocking)"
label_aux_actWhl: "whitelist"
label_aux_create_new_rule: "Create new rule"
label_aux_http_status_code_override: "HTTP status code override:"
label_aux_logic_all: "In order to trigger the rule, all conditions must be met."
label_aux_logic_any: "Any "equals" (=) conditions may trigger the rule, as long as all "not equals" (≠) conditions are also met."
label_aux_menu_action: "If the following conditions are met, %s the request."
label_aux_menu_method: "Use %s to test the conditions."
label_aux_mode_edit: "Edit mode"
label_aux_mode_view: "View mode"
label_aux_modify_rule: "Modify rule"
label_aux_move_bottom: "Move rule to the bottom"
label_aux_move_top: "Move rule to the top"
label_aux_mtdReg: "regular expressions"
label_aux_mtdStr: "direct string comparison"
label_aux_mtdWin: "Windows-style wildcards"
label_aux_name: "A name for the new rule:"
label_aux_reason: "The reason given to the user when blocked:"
label_aux_special: "Other options and special flags:"
label_aux_special_ip_tracking: "Forcibly disable IP tracking"
label_aux_special_recaptcha: "Mark for use with reCAPTCHA"
label_aux_special_suppress: "Suppress output template"
label_aux_target: "Where to redirect the request:"
label_aux_webhooks: "Webhooks to apply when the rule requirements are met:"
label_backup_location: "Repository backup locations (in case of emergency, or if all else fails):"
label_banned: "Requests banned"
label_blocked: "Requests blocked"
label_branch: "Branch latest stable:"
label_check_aux: "Also test against auxiliary rules."
label_check_modules: "Also test against modules."
label_check_verification: "Also test against search engine and social media verification."
label_cidram: "CIDRAM version used:"
label_clientinfo: "Client information:"
label_difference: "Difference"
label_displaying:
 - "Displaying <span class="txtRd">%s</span> entry."
 - "Displaying <span class="txtRd">%s</span> entries."
label_displaying_that_cite:
 - "Displaying <span class="txtRd">%1$s</span> entry that cites "%2$s"."
 - "Displaying <span class="txtRd">%1$s</span> entries that cite "%2$s"."
label_expected: "Expected"
label_expires: "Expires: "
label_extension: "Extension"
label_false_positive_risk: "False positive risk: "
label_fmgr_cache_data: "Cache data and temporary files"
label_fmgr_disk_usage: "CIDRAM disk usage: "
label_fmgr_free_space: "Free disk space: "
label_fmgr_other_sig: "Other rules, signature files, etc"
label_fmgr_safety: "Safety mechanisms"
label_fmgr_total_disk_usage: "Total disk usage: "
label_fmgr_total_space: "Total disk space: "
label_fmgr_updates_metadata: "Component updates metadata"
label_hide: "Hide"
label_ignore: "Ignore this"
label_installed_available: "Installed/Available"
label_integrity_check: "Integrity check: "
label_intersect: "Intersect"
label_never: "Never"
label_os: "Operating system used:"
label_other-ActiveIPv4: "Active IPv4 signature files"
label_other-ActiveIPv6: "Active IPv6 signature files"
label_other-ActiveModules: "Active modules"
label_other-Since: "Start date"
label_other: "Other"
label_php: "PHP version used:"
label_preferred_source: "Preferred source:"
label_reCAPTCHA: "reCAPTCHA attempts"
label_results: "Results (%s in – %s rejected – %s accepted – %s merged – %s out):"
label_sanity_check: "Sanity check: "
label_sapi: "SAPI used:"
label_see_also: "See also:"
label_show: "Show"
label_show_by_origin: "Show by origin"
label_signature_type: "Signature type:"
label_stable: "Latest stable:"
label_sysinfo: "System information:"
label_tests: "Tests:"
label_total: "Total"
label_unignore: "Unignore this"
label_unstable: "Latest unstable:"
label_used_with: "Used with: "
label_your_ip: "Your IP:"
label_your_ua: "Your UA:"
link_accounts: "Accounts"
link_aux: "Auxiliary Rules"
link_cache_data: "Cache Data"
link_chat: "Chat"
link_cidr_calc: "CIDR Calculator"
link_config: "Configuration"
link_copy_to_clipboard: "Copy to clipboard"
link_documentation: "Documentation"
link_file_manager: "File Manager"
link_fixer: "Signature file fixer"
link_home: "Home"
link_ip_aggregator: "IP Aggregator"
link_ip_test: "IP Test"
link_ip_tracking: "IP Tracking"
link_log_out: "Log Out"
link_logs: "Logs"
link_range: "Range Tables"
link_range_intersector: "Range Intersector"
link_range_subtractor: "Range Subtractor"
link_sections_list: "Sections List"
link_statistics: "Statistics"
link_textmode: "Text formatting: <a href="%1$sfalse%2$s">Simple</a> – <a href="%1$strue%2$s">Fancy</a> – <a href="%1$stally%2$s">Tally</a>"
link_updates: "Updates"
logs_logfile_doesnt_exist: "Selected logfile doesn't exist!"
logs_no_logfile_selected: "No logfile selected."
logs_no_logfiles_available: "No logfiles available."
max_login_attempts_exceeded: "Maximum number of login attempts exceeded; Access denied."
notice_click_here: "Click here for more information."
notice_new_major_version: "Notice: %s is now available (you are using %s). You meet this version's minimum PHP requirement. However, some manual steps are required to update."
previewer_days: "Days"
previewer_hours: "Hours"
previewer_minutes: "Minutes"
previewer_months: "Months"
previewer_seconds: "Seconds"
previewer_weeks: "Weeks"
previewer_years: "Years"
response_2fa_invalid: "Incorrect 2FA code entered. Authentication failed."
response_2fa_valid: "Successfully authenticated."
response_accounts_already_exists: "An account with that username already exists!"
response_accounts_created: "Account successfully created!"
response_accounts_deleted: "Account successfully deleted!"
response_accounts_doesnt_exist: "That account doesn't exist."
response_accounts_password_updated: "Password successfully updated!"
response_activated: "Successfully activated."
response_activation_failed: "Failed to activate!"
response_aux_none: "There aren't currently any auxiliary rules."
response_aux_rule_created_successfully: "New auxiliary rule, "%s", created successfully."
response_aux_rule_deleted_successfully: "Auxiliary rule, "%s", deleted successfully."
response_aux_updated: "Auxiliary rules successfully updated."
response_checksum_error: "Checksum error! File rejected!"
response_component_successfully_installed: "Component successfully installed."
response_component_successfully_uninstalled: "Component successfully uninstalled."
response_component_successfully_updated: "Component successfully updated."
response_component_uninstall_error: "An error occurred while attempting to uninstall the component."
response_configuration_updated: "Configuration successfully updated."
response_deactivated: "Successfully deactivated."
response_deactivation_failed: "Failed to deactivate!"
response_delete_error: "Failed to delete!"
response_directory_deleted: "Directory successfully deleted!"
response_directory_renamed: "Directory successfully renamed!"
response_error: "Error"
response_failed: "Failed"
response_failed_to_install: "Failed to install!"
response_failed_to_update: "Failed to update!"
response_file_deleted: "File successfully deleted!"
response_file_edited: "File successfully modified!"
response_file_renamed: "File successfully renamed!"
response_file_uploaded: "File successfully uploaded!"
response_login_invalid_password: "Login failure! Invalid password!"
response_login_invalid_username: "Login failure! Username doesn't exist!"
response_login_password_field_empty: "Password field empty!"
response_login_username_field_empty: "Username field empty!"
response_login_wrong_endpoint: "Wrong endpoint!"
response_no: "No"
response_passed: "Passed"
response_rename_error: "Failed to rename!"
response_repair_process_completed: "Repair process completed."
response_repair_process_failed: "Repair process failed."
response_sanity_1: "File contains unexpected content! File rejected!"
response_skipped: "Skipped"
response_statistics_cleared: "Statistics cleared."
response_tracking_cleared: "Tracking cleared."
response_updates_already_up_to_date: "Already up-to-date."
response_updates_not_installed: "Component not installed!"
response_updates_not_installed_php: "Component not installed (requires PHP &gt;= {V})!"
response_updates_outdated: "Outdated!"
response_updates_outdated_manually: "Outdated (please update manually)!"
response_updates_outdated_php_version: "Outdated (requires PHP &gt;= {V})!"
response_updates_unable_to_determine: "Unable to determine."
response_upload_error: "Failed to upload!"
response_verification_failed: "Verification failed! Component could be corrupted."
response_verification_success: "Verification success! No problems found."
response_yes: "Yes"
security_warning: "An unexpected problem occurred while processing your request. Please try again. If problems persist, contact support."
state_async_deny: "Permissions not adequate to perform asynchronous requests. Try logging in again."
state_cache_is_empty: "The cache is empty."
state_complete_access: "Complete access"
state_component_is_active: "Component is active."
state_component_is_inactive: "Component is inactive."
state_component_is_provisional: "Component is provisional."
state_default_password: "Warning: Using default password!"
state_email_sent: "Email successfully sent to "%s"."
state_failed_missing: "Task failed because a necessary component is unavailable."
state_fixer: "%s %s."
state_fixer_changed:
 - "Made <span class="txtRd">%s</span> change"
 - "Made <span class="txtRd">%s</span> changes"
state_fixer_seconds: "in <span class="txtRd">%s</span> seconds"
state_ignored: "Ignored"
state_loading: "Loading..."
state_loadtime: "Page request completed in <span class="txtRd">%s</span> seconds."
state_logged_in: "Logged in."
state_logged_in_2fa_pending: "Logged in + 2FA pending."
state_logged_out: "Logged out."
state_logs_access_only: "Logs access only"
state_maintenance_mode: "Warning: Maintenance mode is enabled!"
state_password_not_valid: "Warning: This account is not using a valid password!"
state_risk_high: "High"
state_risk_low: "Low"
state_risk_medium: "Medium"
state_sl_totals: "Totals (Signatures: <span class="txtRd">%s</span> – Signature sections: <span class="txtRd">%s</span> – Signature files: <span class="txtRd">%s</span> – Unique section tags: <span class="txtRd">%s</span>)."
state_tracking:
 - "Currently tracking %s IP."
 - "Currently tracking %s IPs."
switch-descending-order-set-false: "Sort in ascending order"
switch-descending-order-set-true: "Sort in descending order"
switch-hide-non-outdated-set-false: "Don't hide non-outdated"
switch-hide-non-outdated-set-true: "Hide non-outdated"
switch-hide-unused-set-false: "Don't hide unused"
switch-hide-unused-set-true: "Hide unused"
switch-sort-by-name-set-false: "Sort by ID"
switch-sort-by-name-set-true: "Sort by name"
switch-tracking-aux-set-false: "Don't check against auxiliary rules"
switch-tracking-aux-set-true: "Check against auxiliary rules"
switch-tracking-blocked-already-set-false: "Don't check against signature files"
switch-tracking-blocked-already-set-true: "Check against signature files"
switch-tracking-hide-banned-blocked-set-false: "Don't hide banned/blocked IPs"
switch-tracking-hide-banned-blocked-set-true: "Hide banned/blocked IPs"
tip_2fa_sent: "An email containing a two-factor authentication code has been sent to your email address. Please confirm this code below to gain access to the front-end. If you didn't receive this email, try logging out, waiting for 10 minutes, and logging in again to receive a new email containing a new code."
tip_accounts: "Hello, {username}.<br />The accounts page allows you to control who can access the CIDRAM front-end."
tip_aux: "Hello, {username}.<br />You can use this page to create, delete, and modify auxiliary rules for CIDRAM."
tip_aux_operators: "Tip: If a condition needs a different kind of operator, you can add it to the start of its value (requires direct string comparison)."
tip_aux_priority: "Priority (highest➡(equal🔄equivalent)➡lowest):"
tip_aux_webhooks: "When a rule is triggered, CIDRAM will attempt to notify any connected webhooks about the event."
tip_cache_data: "Hello, {username}.<br />Here you can review the contents of the cache."
tip_cidr_calc: "Hello, {username}.<br />The CIDR calculator allows you to calculate which CIDRs an IP address is a factor of."
tip_condition_placeholder: "Specify a value, or leave blank to disregard."
tip_config: "Hello, {username}.<br />The configuration page allows you to modify the configuration for CIDRAM from the front-end."
tip_custom_query: "Enter query here (optional)."
tip_custom_referrer: "Enter referrer here (optional)."
tip_custom_ua: "Enter user agent here (optional)."
tip_enter_input_here: "Enter input here."
tip_enter_ip_here: "Enter IP here."
tip_enter_ips_here: "Enter IPs here."
tip_fe_cookie_warning: "Note: CIDRAM uses a cookie to authenticate logins. By logging in, you give your consent for a cookie to be created and stored by your browser."
tip_file_manager: "Hello, {username}.<br />The file manager allows you to delete, edit, upload, and download files. Use with caution (you could break your installation with this)."
tip_fixer: "Hello, {username}.<br />The signature file fixer provides a way to detect and fix potential problems in signature files."
tip_home: "Hello, {username}.<br />This is the homepage for the CIDRAM front-end. Select a link from the navigation menu on the left to continue."
tip_ip_aggregator: "Hello, {username}.<br />The IP aggregator allows you to express IPs and CIDRs in the smallest possible way. Enter the data to be aggregated and press "OK"."
tip_ip_test: "Hello, {username}.<br />The IP test page allows you to test whether IP addresses are blocked by the currently installed signatures."
tip_ip_test_switches: "(When not selected, only the signature files will be tested against)."
tip_ip_tracking: "Hello, {username}.<br />The IP tracking page allows you to check the tracking status of IP addresses, to check which of them have been banned, and to unban/untrack them if you want to do so."
tip_login: "Default username: <span class="txtRd">admin</span> – Default password: <span class="txtRd">password</span>"
tip_logs: "Hello, {username}.<br />Select a logfile from the list below to view the contents of that logfile."
tip_pie_html: "Click the component name for more details."
tip_range: "Hello, {username}.<br />This page shows some basic statistical information about the IP ranges covered by the currently active signature files."
tip_range_intersector: "Hello, {username}.<br />The range intersector can be used to determine the common factors from two sets of ranges."
tip_range_subtractor: "Hello, {username}.<br />The range subtractor can be used to subtract one range of IPs/CIDRs from another."
tip_sections_list: "Hello, {username}.<br />This page lists which sections exist in the currently active signature files."
tip_see_the_documentation: "See the <a href="https://github.com/CIDRAM/Docs/blob/master/readme.en.md\#SECTION6" hreflang="en" rel="noopener external">documentation</a> for information about the various configuration directives and their purposes."
tip_statistics: "Hello, {username}.<br />This page shows some basic usage statistics regarding your CIDRAM installation."
tip_statistics_disabled: "Note: Statistics tracking is currently disabled, but can be enabled via the configuration page."
tip_updates: "Hello, {username}.<br />The updates page allows you to install, uninstall, and update the various components of CIDRAM (the core package, signatures, L10N files, etc)."
title_login: "Login"
warning_signatures_1: "Warning: No signature files are active!"

info_some_useful_links: |
 Some useful links:<br />
     <ul class="pieul">
       <li><span class="comCat" style="cursor:pointer">Tools, resources, etc for CIDRAM.</span>
         <ul class="comSub">
           <li><a href="https://github.com/CIDRAM/CIDRAM/issues" hreflang="en" rel="noopener noreferrer external">CIDRAM/CIDRAM/issues</a> – Issues page for CIDRAM (support, assistance, etc).</li>
           <li><a href="https://wordpress.org/plugins/cidram/" rel="noopener noreferrer external">CIDRAM@WordPress.org</a> – WordPress plugin for CIDRAM.</li>
           <li><a href="https://git.macmathan.info/blocklists/" hreflang="en" rel="noopener noreferrer external">macmathan.info/blocklists</a> – Contains optional blocklists and modules for CIDRAM such as for blocking dangerous bots, unwanted countries, outdated browsers, etc.</li>
           <li><a href="https://github.com/CIDRAM/CIDRAM-Extras" hreflang="en" rel="noopener noreferrer external">CIDRAM/CIDRAM-Extras</a> – Various extras.</li>
         </ul>
       </li>
       <li><span class="comCat" style="cursor:pointer">Groups, forums, communities, etc.</span>
         <ul class="comSub">
           <li><a href="https://www.facebook.com/groups/2204685680/" rel="noopener noreferrer external">PHP.earth@Facebook</a> – PHP learning resources and discussion.</li>
           <li><a href="https://www.stopforumspam.com/forum/" rel="noopener noreferrer external">Forum@Stop Forum Spam</a> – Useful discussion forum about stopping forum spam.</li>
         </ul>
       </li>
       <li><span class="comCat" style="cursor:pointer">Other useful tools, resources, services, etc.</span>
         <ul class="comSub">
           <li><a href="https://www.stopforumspam.com/" rel="noopener noreferrer external">Stop Forum Spam</a> – Maintains a database of known forum spammers. Useful for protecting websites and forums against spammers.</li>
           <li><a href="https://bgp.he.net/" hreflang="en" rel="noopener noreferrer external">Hurricane Electric BGP Toolkit</a> – Get CIDRs from ASNs, determine ASN relationships, discover ASNs based upon network names, etc.</li>
           <li><a href="https://bgpview.io/" hreflang="en" rel="noopener noreferrer external">BGPView</a> – Get CIDRs from ASNs, determine ASN relationships, discover ASNs based upon network names, etc.</li>
           <li><a href="https://radar.qrator.net/" hreflang="en" rel="noopener noreferrer external">Radar by Qrator</a> – Useful tool for checking the connectivity of ASNs as well as for various other information about ASNs.</li>
           <li><a href="https://www.spamhaus.org/statistics/botnet-asn/" rel="noopener noreferrer external">The Spamhaus Project</a> – Displays reports regarding botnet infection rates for ASNs.</li>
           <li><a href="https://www.abuseat.org/public/asn.html" hreflang="en" rel="noopener noreferrer external">Abuseat.org's Composite Blocking List</a> – Displays reports regarding botnet infection rates for ASNs.</li>
           <li><a href="https://abuseipdb.com/" hreflang="en" rel="noopener noreferrer external">AbuseIPDB</a> – Maintains a database of known abusive IPs; Provides an API for checking and reporting IPs.</li>
         </ul>
       </li>
       <li><span class="comCat" style="cursor:pointer">Informational and learning resources.</span>
         <ul class="comSub">
           <li><a href="https://php.earth/" hreflang="en" rel="noopener noreferrer external">PHP.earth</a> – PHP learning resources and discussion.</li>
           <li><a href="https://maikuolan.github.io/Vulnerability-Charts/" hreflang="en-AU" rel="noopener noreferrer external">Vulnerability Charts</a> – Lists safe/unsafe versions of various packages (HHVM, PHP, phpMyAdmin, Python, etc).</li>
           <li><a href="https://maikuolan.github.io/Compatibility-Charts/" hreflang="en-AU" rel="noopener noreferrer external">Compatibility Charts</a> – Lists compatibility information for various packages (CIDRAM, phpMussel, etc).</li>
         </ul>
       </li>
     </ul>

msg_template_2fa: |
 <center><p>Hello, %1$s.<br />
 <br />
 Your two-factor authentication code for logging into the CIDRAM front-end:</p>
 <h1>%2$s</h1>
 <p>This code expires in 10 minutes.</p></center>
msg_subject_2fa: "Two-Factor Authentication"
